Get Credentials by Type
Endpoint used to get credentials by type.
Request Example
Section titled “Request Example”curl --request GET \ --url https://chat.api.toolzz.com.br/api/v1/credential/unity/{id}/type/{type} \ --header 'Authorization: Bearer TOKEN_HERE' \Response Example
Section titled “Response Example”[ { "credentials": { "id": "uuid", "name": "<string>", "userId": "uuid", "unityId": "uuid", "integrationId": "uuid", "secretId": "uuid", "status": false, "virtualKey": "<string>", "createdAt": "ISO8601_DATETIME", "updatedAt": "ISO8601_DATETIME" }, "integration": { "id": "uuid", "name": "<string>", "iconId": "uuid", "type": "<string>", "status": true, "validationEndpoint": "<url>", "slug": "<string>", "form": [ { "name": "<string>", "type": "<string>", "label": "<string>", "maxLenght": "<string>", "required": true } ], "createdAt": "ISO8601_DATETIME", "updatedAt": "ISO8601_DATETIME", "icon": { "id": "uuid", "institutionId": "uuid", "type": "<string>", "fileName": "<string>", "internalStorageUrl": "<url>", "url": "<url>", "maskName": "<string>", "createdAt": "ISO8601_DATETIME", "updatedAt": "ISO8601_DATETIME", "extension": "<string>", "size": 123, "numberWords": null } } }]Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
id | String | Unit ID | Yes |
type | String | Credential type | Yes |
Credential types:
llm,voice,monetization,dataset,analytics,phone
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
credentials | Object | Contains the data of the credential instance configured by the user. |
credentials.id | UUID | Credential unique identifier in the database. |
credentials.name | String | Identification name of the credential (e.g., “OpenAI Marketing”). |
credentials.status | Boolean | Indicates if the credential is enabled for use. |
credentials.virtualKey | String | Virtual identification key for internal processes. |
integration | Object | Technical details of the provider (integration) to which the credential belongs. |
integration.name | String | Service provider name (e.g., “Open AI”, “Gemini”). |
integration.type | String | Integration category (e.g., llm, voice, monetization). |
integration.slug | String | Simplified textual identifier of the service. |
integration.form | Array | Structure of fields required to configure a credential of this type. |
integration.icon | Object | Metadata of the provider’s icon image file. |
integration.icon.url | URL | Direct link to view the service’s logo. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
